Loading...
Searching...
No Matches
RDKit::MolEnumerator::utils Namespace Reference

## Functions

std::vector< LinkNode > | getMolLinkNodes (const ROMol &mol, bool strict=true, const std::map< unsigned, Atom * > *atomIdxMap=nullptr)

## Function Documentation

## getMolLinkNodes()

std::vector< LinkNode > RDKit::MolEnumerator::utils::getMolLinkNodes | ( | const ROMol & | mol,
|  | bool | strict = `true`,
|  | const std::map< unsigned, Atom * > * | atomIdxMap = `nullptr`
| ) |  |

inline

Definition at line 31 of file LinkNode.h.

References BOOST_LOG, RDKit::ROMol::getBondBetweenAtoms(), RDKit::RDProps::getPropIfPresent(), RDKit::common_properties::molFileLinkNodes, RDKit::rdvalue_is(), rdWarningLog, and UNDER_CONSTRUCTION.